#ifndef __screen_home
#define __screen_home

#include "include/screenids.h"
#include "../screen.h"
#include "../Control.h"


/*
 * Home screen
 *   Shows the current presets and an option to go to the menu.
 */
class HomeScreen : public BaseScreen
{
  public:
    HomeScreen(ScreenManager* screenManager, Adafruit_GFX* display) : BaseScreen(screenManager, display) { }

    void onShow();
    void onButton(Button button);
    void onTick();

    ScreenId screenId() { return ScreenId::Home; };

  private:
    uint32_t showTime = 0;
    bool idle = false;

    void drawPreset1();
    void drawPreset2();
    void drawNonPresetHeight();

    void drawPreset(int16_t y, uint16_t value);
    void drawHeight(int16_t y, uint16_t value);
    void drawMenu();
};

#endif
